@import 'breakpoints';
@import 'variables';

// https://ionicframework.com/docs/api/content
.main-content {
  --background: var(--ion-background-color);
  // --padding-bottom: 25px;
}

.main-menu {
  --side-width: 0;
  --background: var(--ion-foreground-color);

  &.menu-hidden {
    --side-min-width: 0;
    --border: 0;
  }
}

app-cookie {
  position: absolute;
  bottom: 0;
  right: 0;
  max-width: 400px;
  z-index: 100;
  opacity: 1;

  &.app-cookie-fadeout {
    -webkit-transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    -ms-transition: opacity 0.3s ease-in-out;
    -o-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
    opacity: 0;
  }
}

.footer-spacer {
  padding: 2.5px 0;
}

@media (max-width: map-get($grid-breakpoints, 'xxxl')) {
}
@media (max-width: map-get($grid-breakpoints, 'xl')) {
}
@media (max-width: map-get($grid-breakpoints, 'lg')) {
}
@media (max-width: map-get($grid-breakpoints, 'md')) {
}
@media (max-width: map-get($grid-breakpoints, 'sm')) {
}
@media (max-width: map-get($grid-breakpoints, 'is')) {
  app-cookie {
    max-width: 100%;
  }
}
@media (max-width: map-get($grid-breakpoints, 'xs')) {
}
